org.apache.tamaya.inject.spi

## Interface ConfiguredMethod

-     public interface ConfiguredMethod

  Abstract model of an method used to inject configuration.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Object instance, org.apache.tamaya.Configuration config)` This method actually configures the given method on a instance of its parent type.
    `Method` | `getAnnotatedMethod()` Get the underlying method reflection type.
    `Collection<String>` | `getConfiguredKeys()` Get the key required to be evaluated.
    `String` | `getName()` Get the method's name, e.g.
    `Class<?>[]` | `getParameterTypes()` Get the methods input parameter types.
    `String` | `getSignature()` Get the methods signature, e.g.

- - ### Method Detail

    - #### getConfiguredKeys

          Collection<String> getConfiguredKeys()

      Get the key required to be evaluated.
      Returns:
        the configured keys.

    - #### getParameterTypes

          Class<?>[] getParameterTypes()

      Get the methods input parameter types.
      Returns:
        the method param types, not null.

    - #### getAnnotatedMethod

          Method getAnnotatedMethod()

      Get the underlying method reflection type.
      Returns:
        the method element.

    - #### getName

          String getName()

      Get the method's name, e.g. `setName`.
      Returns:
        the name, never null.

    - #### getSignature

          String getSignature()

      Get the methods signature, e.g. `void setName(String)`.
      Returns:
        he signature, never null.

    - #### configure

          void configure(Object instance,
                       org.apache.tamaya.Configuration config)

      This method actually configures the given method on a instance of its parent type. This evaluates the initial key closure and applies changes on the field.
      Parameters:
        `instance` - the target instance, not null.
        `config` - the configuration, not null.
      Throws:
        `org.apache.tamaya.ConfigException` - if evaluation or conversion failed.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.